Subject: [PATCH 0/2] [iputils] MTU discovery changes

From: John Heffner <[email-masked]>
Date: Fri, 23 Mar 2007 20:46:25 -0400

These add some changes that make tracepath a little more useful for 
diagnosing MTU issues.  The length flag helps distinguish between MTU 
black holes and other types of black holes by allowing you to vary the 
probe packet lengths.  Using PMTUDISC_PROBE gives you the same results 
on each run without having to flush the route cache, so you can see 
where MTU changes in the path actually occur.

The PMTUDISC_PROBE patch goes in should be conditional on whether the 
corresponding kernel patch (just sent) goes in.

   -John